Blog Entry

Drupal 7.41 Security Update Released

Image
Drupalupgrade

Upgrading your existing Drupal 7 sites to latest version is strongly recommended!

Drupal 7.41 is released in response to the discovery of Less Critical – Open Redirect vulnerability and you need to upgrade to Drupal 7.41 at the earliest to fix the security problem.

The Drupal security team recommends all websites upgrade their Drupal core to the latest version.
 
So, why keep the website vulnerable, when you know you can make it more secure by updating your website regularly. As a website development company, we understand the importance of keeping websites secure, which is why we ask our clients to keep up to date with their website software.

Find out how our expert Drupal website maintenance team can help protect your website! Get in touch with us today!

Call Drupal Geeks @ 312-340-7112 or send an email to [email protected]

Source: https://www.drupal.org/SA-CORE-2015-004